Package com.usatiuk.dhfs.repository

# Interface DhfsObjectSyncGrpc

All Superinterfaces:
  `io.quarkus.grpc.MutinyService`

All Known Implementing Classes:
  `DhfsObjectSyncGrpcClient`, `RemoteObjectServiceServer`

@Generated(value="by Mutiny Grpc generator", comments="Source: dhfs_sync.proto") public interface DhfsObjectSyncGrpc extends io.quarkus.grpc.MutinyService

## Method Summary

Modifier and Type
Method
Description
`io.smallrye.mutiny.Uni<CanDeleteReply>`
`canDelete(CanDeleteRequest request)`
`io.smallrye.mutiny.Uni<GetObjectReply>`
`getObject(GetObjectRequest request)`
`io.smallrye.mutiny.Uni<OpPushReply>`
`opPush(OpPushRequest request)`
`io.smallrye.mutiny.Uni<PingReply>`
`ping(PingRequest request)`

## Method Details

### opPush

io.smallrye.mutiny.Uni<OpPushReply> opPush(OpPushRequest request)

### getObject

io.smallrye.mutiny.Uni<GetObjectReply> getObject(GetObjectRequest request)

### canDelete

io.smallrye.mutiny.Uni<CanDeleteReply> canDelete(CanDeleteRequest request)

### ping

io.smallrye.mutiny.Uni<PingReply> ping(PingRequest request)